List on-demand conversions
curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/on-demand-conversions \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/on-demand-conversions"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/on-demand-conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000001",
"status": "completed",
"from": {
"symbol": "USD",
"amount": "100.00",
"type": "balance",
"status": "settled"
},
"to": {
"symbol": "BTC",
"amount": "0.00150",
"type": "wallet",
"status": "settled",
"wallet": {
"via": "bitcoin",
"address": "bc1qexamplewallet002",
"memo": "destination-memo",
"tag": "destination-tag"
}
},
"rate": {
"base": {
"symbol": "USD"
},
"quote": {
"symbol": "BTC"
},
"price": "0.00001520"
},
"fees": {
"to": {
"symbol": "BTC",
"amount": "0.00001"
}
},
"transaction_references": {
"to": {
"transaction_id": "withdrawal-1",
"blockchain_transaction_id": "chain-1"
}
},
"created_at": "2026-08-12T12:55:00Z",
"updated_at": "2026-08-12T13:02:03Z"
}
]
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 403,
"instance": "<string>",
"code": "forbidden",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 404,
"instance": "<string>",
"code": "not_found",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}On-demand conversions
List on-demand conversions
Lists on-demand conversions for the selected account, ordered by created_at descending.
GET
/
v1
/
accounts
/
{account_id}
/
on-demand-conversions
List on-demand conversions
Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Identifier of the selected account that owns the conversions.
Required string length:
14 - 42Example:
"WVSD33HRMGSZUBM7"
Query Parameters
Maximum number of results to return on a single page. Defaults to 20, maximum 25.
Required range:
1 <= x <= 25Opaque cursor returned by a previous response's next_page_token. Omit to start from the beginning.
Required string length:
1 - 256Response
On-demand conversions returned for the selected account.
⌘I